Callisto4Bootloader: stPayloadBuffer_t Struct Reference

Callisto4Bootloader

Data Fields
stPayloadBuffer_t Struct Reference

`#include <platform_encoder.h>`

## Data Fields

uint8_t * | pau8Buffer
uint32_t | uiBufferLen
uint32_t | uiBufferSize
bool | bWasMalloced
stFoundType_t * | pastFoundTypes
uint32_t | uiFoundTypesNum
uint32_t | uiFoundTypesAlloced

## Detailed Description

Definition at line 20 of file platform_encoder.h.

## Field Documentation

## ◆ bWasMalloced

bool stPayloadBuffer_t::bWasMalloced

Definition at line 25 of file platform_encoder.h.

Referenced by Payload_BufferAlloc(), Payload_BufferForce(), Payload_BufferFree(), and Payload_BufferRealloc().

## ◆ pastFoundTypes

stFoundType_t* stPayloadBuffer_t::pastFoundTypes

Definition at line 27 of file platform_encoder.h.

Referenced by Payload_BufferFree(), Payload_FindType(), and Payload_SetupFoundTypes().

## ◆ pau8Buffer

uint8_t* stPayloadBuffer_t::pau8Buffer

Definition at line 22 of file platform_encoder.h.

Referenced by DecodeBoolean(), DecodeReal(), DecodeSignedInt(), DecodeString(), DecodeUnsignedInt(), EncodeBoolean(), EncodeFieldName(), EncodeReal(), EncodeSignedInt(), EncodeString(), EncodeUnsignedInt(), GET_Callback(), META_Callback(), OutputCharacter(), Payload_BufferAlloc(), Payload_BufferForce(), Payload_BufferFree(), Payload_BufferRealloc(), and SnoopNextCharacter().

## ◆ uiBufferLen

uint32_t stPayloadBuffer_t::uiBufferLen

Definition at line 23 of file platform_encoder.h.

Referenced by DecodeBoolean(), DecodeReal(), DecodeSignedInt(), DecodeString(), DecodeUnsignedInt(), EncodeBoolean(), EncodeFieldName(), EncodeReal(), EncodeSignedInt(), EncodeString(), EncodeUnsignedInt(), ExpectCharacter(), GET_Callback(), IgnoreWhitespace(), META_Callback(), OutputCharacter(), Payload_BufferAlloc(), Payload_BufferForce(), Payload_BufferRealloc(), PayloadRemaining(), and SnoopNextCharacter().

## ◆ uiBufferSize

uint32_t stPayloadBuffer_t::uiBufferSize

Definition at line 24 of file platform_encoder.h.

Referenced by EncodeBoolean(), EncodeFieldName(), EncodeReal(), EncodeSignedInt(), EncodeString(), EncodeUnsignedInt(), OutputCharacter(), Payload_BufferAlloc(), Payload_BufferForce(), Payload_BufferRealloc(), PayloadRemaining(), and SnoopNextCharacter().

## ◆ uiFoundTypesAlloced

uint32_t stPayloadBuffer_t::uiFoundTypesAlloced

Definition at line 29 of file platform_encoder.h.

Referenced by Payload_FindType(), and Payload_SetupFoundTypes().

## ◆ uiFoundTypesNum

uint32_t stPayloadBuffer_t::uiFoundTypesNum

Definition at line 28 of file platform_encoder.h.

Referenced by Payload_FindType(), and Payload_SetupFoundTypes().

The documentation for this struct was generated from the following file:

- ARK/platform_encoder.h